### Signal

# Gtk EntryCompletion::insert-prefix

#### Declaration

    gboolean
    insert_prefix (
      GtkEntryCompletion self,
      gchar* prefix,
      gpointer user_data
    )

#### Description [src]

Emitted when the inline autocompletion is triggered.

The default behaviour is to make the entry display the whole prefix and select the newly inserted part.

Applications may connect to this signal in order to insert only a smaller part of the `prefix` into the entry - e.g. the entry used in the `GtkFileChooser` inserts only the part of the prefix up to the next ‘/’.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`prefix` | `gchar*`
| The common prefix of all possible completions.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if the signal has been handled.